DoWhileLoopTree (Java SE 14 & JDK 14)
Description: declaration: module: jdk.scripting.nashorn, package: jdk.nashorn.api.tree, interface: DoWhileLoopTree
Keywords: jdk.nashorn.api.tree.DoWhileLoopTree interface

Module jdk.scripting.nashorn
Package jdk.nashorn.api.tree

# Interface DoWhileLoopTree

All Superinterfaces:
  `ConditionalLoopTree`, `LoopTree`, `StatementTree`, `Tree`

    @Deprecated(since="11",
                forRemoval=true)
    public interface DoWhileLoopTree
    extends ConditionalLoopTree

Deprecated, for removal: This API element is subject to removal in a future version.
Nashorn JavaScript script engine and APIs, and the jjs tool are deprecated with the intent to remove them in a future release.
A tree node for a 'do' statement. For example:

       do
           statement
       while ( expression );

Since:
  9

- ## Nested Class Summary

  ## Nested classes/interfaces declared in interface jdk.nashorn.api.tree.Tree

  `Tree.Kind`

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `ExpressionTree` | `getCondition()` | Deprecated, for removal: This API element is subject to removal in a future version. Returns the condition expression of this do-while statement.
  `StatementTree` | `getStatement()` | Deprecated, for removal: This API element is subject to removal in a future version. The statement contained within this do-while statement.

  ### Methods declared in interface jdk.nashorn.api.tree.Tree

  `accept, getEndPosition, getKind, getStartPosition`

- ## Method Details

  - ### getCondition

    ExpressionTree getCondition()
    Deprecated, for removal: This API element is subject to removal in a future version.
    Returns the condition expression of this do-while statement.
    Specified by:
      `getCondition` in interface `ConditionalLoopTree`
    Returns:
      the condition expression

  - ### getStatement

    StatementTree getStatement()
    Deprecated, for removal: This API element is subject to removal in a future version.
    The statement contained within this do-while statement.
    Specified by:
      `getStatement` in interface `LoopTree`
    Returns:
      the statement